GST to HSN List API
3 min
Introduction
The GST to HSN List API provides a convenient way to retrieve Harmonized System of Nomenclature (HSN) codes associated with Goods and Services Tax (GST) compliant products. This API empowers businesses and individuals to access accurate and up-to-date HSN code information, facilitating seamless compliance with GST regulations.
curl --request POST \
--url http://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../gstns \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"gstToHsn","essentials":{"gstin":"...gstin..."}}'Request Parameters
Parameter | Description |
|---|---|
task | Specifies the task to be performed by the API. In this case, "gstToHsn" indicates retrieving HSN codes. |
essentials | An object containing essential parameters for retrieving HSN codes. |
- gstin | The GST Identification Number (GSTIN) for which the HSN codes are to be retrieved. |
Sample Response
{
"task" : "gstToHsn",
"essentials": {
"gstin": "..gstin.."
},
"id": "...accessToken...",
"patronId": "...patronId...",
"result":{
"natureOfCoreBusinessActivity" : "..natureOfCoreBusinessActivity..",
"legalNameOfBusiness" : "..legalNameOfBusiness..",
"taxPayerType" : "..taxPayerType..",
"cancellationDate": "..cancellationDate..",
"gstin" : "..gstin..",
"natureOfBusinessActivities" : "..natureOfBusinessActivities..",
"complianceRating": "..complianceRating..",
"registrationDate" : "..registrationDate..",
"constitutionOfBusiness" : "..constitutionOfBusiness..",
"principalPlaceAddress" : "..principalPlaceAddress..",
"gstinStatus" : "..gstinStatus..",
"tradeNameOfBusiness" : "..tradeNameOfBusiness..",
"hsnGoods" : [{
"hsnCode" : "..hsnCode..",
"description" : "..description.."
}
],
"hsnServices" : [{
"hsnCode" : "..hsnCode..",
"description" : "..description.."
}
],
"administrativeOffice" : "..administrativeOffice..",
"otherOffice" : "..otherOffice.."
}
}